org.apache.catalina.ssi

## Class SSIPrintenv

- java.lang.Object
- - org.apache.catalina.ssi.SSIPrintenv

All Implemented Interfaces:
  SSICommand

    public class SSIPrintenv
    extends Object
    implements SSICommand

Implements the Server-side #printenv command

Author:
  Dan Sandberg, David Becker

### Constructor Summary

Constructors
Constructor and Description
`SSIPrintenv()`

### Method Summary

Methods
`long` `process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)` Write the output of the command to the writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SSIPrintenv

    public SSIPrintenv()

### Method Detail

#### process

    public long process(SSIMediator ssiMediator,
               String commandName,
               String[] paramNames,
               String[] paramValues,
               PrintWriter writer)

Description copied from interface: `SSICommand`
Write the output of the command to the writer.

Specified by:
  `process` in interface `SSICommand`
Parameters:
  `ssiMediator` - the ssi mediator
  `commandName` - the name of the actual command ( ie. echo )
  `paramNames` - The parameter names
  `paramValues` - The parameter values
  `writer` - the writer to output to
Returns:
  the most current modified date resulting from any SSI commands
See Also:
  `SSICommand`